import { myBtn } from "../../utils/dict";
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '我的', leftArrow: false, useBar: true },
        user: {},
        btnList: [],
        btnActive: '1'
    },
    // 跳转菜单
    tabPath(e) {
        let { route } = e.detail.detail;
        if (route) wx.redirectTo({ url: `/${route}` })
    },
    toCommon: function (e) {
        const { route } = e.currentTarget.dataset;
        if (route) { wx.navigateTo({ url: `/pages/${route}` }) };
    },
    // 选择手风琴
    bChange: function (e) {
        const that = this;
        that.setData({ btnActive: e.detail })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        // that.watchLogin();
    },
    watchLogin: async function () {
        const that = this;
        wx.getStorage({
            key: 'user',
            success: async (res) => {
                const arr = await app.$get(`/newCourt/api/user/${res.data.openid}`);
                if (arr.errcode == '0') {
                    let user = arr.data;
                    that.setData({ user: user });
                    let btnData = myBtn.find((i) => i.type == user.type);
                    that.setData({ btnList: btnData.btn })

                } else { wx.showToast({ title: `${res.errMsg}`, icon: 'fail', duration: 2000 }); }
            },
            fail: async (res) => {
                wx.redirectTo({ url: '/pages/index/index' });
            },
        });
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        const that = this;
        that.watchLogin();
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})